Bug 438433 - Review Request: python-toscawidgets - Web widget toolkit
Review Request: python-toscawidgets - Web widget toolkit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On: 438354
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-20 16:48 EDT by Toshio Ernie Kuratomi
Modified: 2008-07-07 22:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-07 22:06:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bdpepple: fedora‑review+
a.badger: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2008-03-20 16:48:06 EDT
Spec URL: http://toshio.fedorapeople.org/packages/python-toscawidgets.spec
SRPM URL: http://toshio.fedorapeople.org/packages/python-toscawidgets-0.2-0.3.20080320svn4283.fc8.src.rpm
Description:
ToscaWidgets is a web widget toolkit for Python to aid in the creation, 
packaging and distribution of common view elements normally used in the web.

ToscaWidgets is an almost complete rewrite of the widgets package bundled with
TurboGears-1.0. The rewrite's goal was to decouple the widgets package from
CherryPy and TurboGears itself to fit better with TurboGears 2.0 
philosophy which is to partition it's services into independent WSGI 
components for easier mainteinance and reuse in other Python web applications 
or frameworks.
Comment 1 Jason Tibbitts 2008-04-05 00:39:26 EDT
This builds OK but it won't install:

root: Command failed:
 # /usr/bin/yum --installroot /mock/fedora-development-x86_64/root/  install
/mock/fedora-development-x86_64/result/python-toscawidgets-0.2-0.3.20080320svn4283.fc9.noarch.rpm
Error: Missing Dependency: python-decorator is needed by package python-toscawidgets

Maybe it's python-decoratortools that's needed?
Comment 2 Luke Macken 2008-04-05 01:59:31 EDT
It requires the python-decorator package (Bug #438354), which looks to be
approved but not yet imported or built.
Comment 3 Jason Tibbitts 2008-04-05 12:04:01 EDT
Ah.  I'll set the dependencies correctly.
Comment 4 Brian Pepple 2008-05-27 14:35:48 EDT
Good:
* Source URL is canonical
* Upstream source tarball verified against svn
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All directories are owned by this or other packages
* All necessary BuildRequires listed.
* Package builds in mock fine.
* Package installs and uninstalls cleanly.
* rpmlint produces no errors.

+1 APPROVED
Comment 5 Toshio Ernie Kuratomi 2008-05-29 12:10:29 EDT
Thanks bpepple!


New Package CVS Request
=======================
Package Name: python-toscawidgets
Short Description: Web widget toolkit
Owners: toshio lmacken
Branches: F-8 F-9 EL-5
InitialCC:
Cvsextras Commits: yes
Comment 6 Toshio Ernie Kuratomi 2008-05-30 10:49:39 EDT
cvs done.
Comment 7 Brian Pepple 2008-07-07 20:11:01 EDT
Toshio, has this been built?
Comment 8 Toshio Kuratomi 2008-07-07 22:06:29 EDT
Oops.

Yes it has.  The build is in testing.  closing.

Note You need to log in before you can comment on or make changes to this bug.